MFMassQuote (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.zerogc.api

## Class MFMassQuote

- java.lang.Object
- - com.marketfactory.zerogc.api.MFMassQuote

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<MFMassQuote>

      public final class MFMassQuote
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<MFMassQuote>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFString` | `detail`
    `int` | `feedID` A unique identifier for the feed.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `MFString` | `mdStreamID`
    `MFString` | `quoteReqID`
    `MFQuote[]` | `quotes`
    `MFQuote[][]` | `recycleableZeroGCquotes`
    `long` | `settlDate`
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MFMassQuote()`
    `` | `MFMassQuote(int feedID, int marketID, MFString quoteReqID, MFString mdStreamID, long settlDate, MFQuote[] quotes, long timeApiClient, long timeApiServer, long timeHandler, MFString detail)`
    `protected` | `MFMassQuote(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MFMassQuote rhs)`
    `void` | `deepCopy(MFMassQuote src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `MFQuote[]` | `recycleZeroGCquotesArray(int size)`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### quoteReqID

          public MFString quoteReqID

    - #### mdStreamID

          public MFString mdStreamID

    - #### settlDate

          public long settlDate

    - #### quotes

          public MFQuote[] quotes

    - #### recycleableZeroGCquotes

          public MFQuote[][] recycleableZeroGCquotes

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### detail

          public MFString detail

  - ### Constructor Detail

    - #### MFMassQuote

          public MFMassQuote()

    - #### MFMassQuote

          protected MFMassQuote(ZeroGCProtoByteBuffer buffer)

    - #### MFMassQuote

          public MFMassQuote(int feedID,
                             int marketID,
                             MFString quoteReqID,
                             MFString mdStreamID,
                             long settlDate,
                             MFQuote[] quotes,
                             long timeApiClient,
                             long timeApiServer,
                             long timeHandler,
                             MFString detail)

  - ### Method Detail

    - #### recycleZeroGCquotesArray

          public MFQuote[] recycleZeroGCquotesArray(int size)

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(MFMassQuote src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(MFMassQuote rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MFMassQuote>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)